Package com.smartgwt.client.widgets.rte

# Class ListProperties

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.rte.ListProperties

All Implemented Interfaces:
  `HasHandlers`

public class ListProperties extends DataClass
Configuration of an HTML list in a `RichTextEditor`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListProperties()`
  `ListProperties(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getImage()`
  When the list item marker `style` is "custom-image", the image to use for the markers.
  `static ListProperties`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `int`
  `getStartNumber()`
  For ordered lists, the number to start the first item with.
  `ListStyleType`
  `getStyle()`
  The style of list item marker.
  `ListProperties`
  `setImage(String image)`
  When the list item marker `style` is "custom-image", the image to use for the markers.
  `ListProperties`
  `setStartNumber(int startNumber)`
  For ordered lists, the number to start the first item with.
  `ListProperties`
  `setStyle(ListStyleType style)`
  The style of list item marker.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListProperties

    public ListProperties()

  - ### ListProperties

    public ListProperties(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ListProperties getOrCreateRef(JavaScriptObject jsObj)

  - ### setImage

    public ListProperties setImage(String image)
    When the list item marker `style` is "custom-image", the image to use for the markers.
    Parameters:
      `image` - New image value. Default value is "[SKIN]/RichTextEditor/bullet_blue.png"
    Returns:
      `ListProperties` instance, for chaining setter calls
    See Also:
      - `SCImgURL`

  - ### getImage

    public String getImage()
    When the list item marker `style` is "custom-image", the image to use for the markers.
    Returns:
      Current image value. Default value is "[SKIN]/RichTextEditor/bullet_blue.png"
    See Also:
      - `SCImgURL`

  - ### setStartNumber

    public ListProperties setStartNumber(int startNumber)
    For ordered lists, the number to start the first item with. Must be non-negative.
    Parameters:
      `startNumber` - New startNumber value. Default value is 1
    Returns:
      `ListProperties` instance, for chaining setter calls

  - ### getStartNumber

    public int getStartNumber()
    For ordered lists, the number to start the first item with. Must be non-negative.
    Returns:
      Current startNumber value. Default value is 1

  - ### setStyle

    public ListProperties setStyle(ListStyleType style)
    The style of list item marker. If "custom-image", the `image` should be specified.
    Parameters:
      `style` - New style value. Default value is null
    Returns:
      `ListProperties` instance, for chaining setter calls

  - ### getStyle

    public ListStyleType getStyle()
    The style of list item marker. If "custom-image", the `image` should be specified.
    Returns:
      Current style value. Default value is null